Start recording
curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetBaseUrl": "http://example.mocklab.io",
"filters": {
"urlPathPattern": "/api/.*",
"method": "GET"
},
"captureHeaders": {
"Accept": {},
"Content-Type": {
"caseInsensitive": true
}
},
"requestBodyPattern": {
"matcher": "equalToJson",
"ignoreArrayOrder": false,
"ignoreExtraElements": true
},
"extractBodyCriteria": {
"textSizeThreshold": "2048",
"binarySizeThreshold": "10240"
},
"persist": false,
"repeatsAsScenarios": false,
"transformers": [
"modify-response-header"
],
"transformerParameters": {
"headerValue": "123"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start"
payload = {
"targetBaseUrl": "http://example.mocklab.io",
"filters": {
"urlPathPattern": "/api/.*",
"method": "GET"
},
"captureHeaders": {
"Accept": {},
"Content-Type": { "caseInsensitive": True }
},
"requestBodyPattern": {
"matcher": "equalToJson",
"ignoreArrayOrder": False,
"ignoreExtraElements": True
},
"extractBodyCriteria": {
"textSizeThreshold": "2048",
"binarySizeThreshold": "10240"
},
"persist": False,
"repeatsAsScenarios": False,
"transformers": ["modify-response-header"],
"transformerParameters": { "headerValue": "123" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetBaseUrl: 'http://example.mocklab.io',
filters: {urlPathPattern: '/api/.*', method: 'GET'},
captureHeaders: {Accept: {}, 'Content-Type': {caseInsensitive: true}},
requestBodyPattern: {matcher: 'equalToJson', ignoreArrayOrder: false, ignoreExtraElements: true},
extractBodyCriteria: {textSizeThreshold: '2048', binarySizeThreshold: '10240'},
persist: false,
repeatsAsScenarios: false,
transformers: ['modify-response-header'],
transformerParameters: {headerValue: '123'}
})
};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetBaseUrl' => 'http://example.mocklab.io',
'filters' => [
'urlPathPattern' => '/api/.*',
'method' => 'GET'
],
'captureHeaders' => [
'Accept' => [
],
'Content-Type' => [
'caseInsensitive' => true
]
],
'requestBodyPattern' => [
'matcher' => 'equalToJson',
'ignoreArrayOrder' => false,
'ignoreExtraElements' => true
],
'extractBodyCriteria' => [
'textSizeThreshold' => '2048',
'binarySizeThreshold' => '10240'
],
'persist' => false,
'repeatsAsScenarios' => false,
'transformers' => [
'modify-response-header'
],
'transformerParameters' => [
'headerValue' => '123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start"
payload := strings.NewReader("{\n \"targetBaseUrl\": \"http://example.mocklab.io\",\n \"filters\": {\n \"urlPathPattern\": \"/api/.*\",\n \"method\": \"GET\"\n },\n \"captureHeaders\": {\n \"Accept\": {},\n \"Content-Type\": {\n \"caseInsensitive\": true\n }\n },\n \"requestBodyPattern\": {\n \"matcher\": \"equalToJson\",\n \"ignoreArrayOrder\": false,\n \"ignoreExtraElements\": true\n },\n \"extractBodyCriteria\": {\n \"textSizeThreshold\": \"2048\",\n \"binarySizeThreshold\": \"10240\"\n },\n \"persist\": false,\n \"repeatsAsScenarios\": false,\n \"transformers\": [\n \"modify-response-header\"\n ],\n \"transformerParameters\": {\n \"headerValue\": \"123\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetBaseUrl\": \"http://example.mocklab.io\",\n \"filters\": {\n \"urlPathPattern\": \"/api/.*\",\n \"method\": \"GET\"\n },\n \"captureHeaders\": {\n \"Accept\": {},\n \"Content-Type\": {\n \"caseInsensitive\": true\n }\n },\n \"requestBodyPattern\": {\n \"matcher\": \"equalToJson\",\n \"ignoreArrayOrder\": false,\n \"ignoreExtraElements\": true\n },\n \"extractBodyCriteria\": {\n \"textSizeThreshold\": \"2048\",\n \"binarySizeThreshold\": \"10240\"\n },\n \"persist\": false,\n \"repeatsAsScenarios\": false,\n \"transformers\": [\n \"modify-response-header\"\n ],\n \"transformerParameters\": {\n \"headerValue\": \"123\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetBaseUrl\": \"http://example.mocklab.io\",\n \"filters\": {\n \"urlPathPattern\": \"/api/.*\",\n \"method\": \"GET\"\n },\n \"captureHeaders\": {\n \"Accept\": {},\n \"Content-Type\": {\n \"caseInsensitive\": true\n }\n },\n \"requestBodyPattern\": {\n \"matcher\": \"equalToJson\",\n \"ignoreArrayOrder\": false,\n \"ignoreExtraElements\": true\n },\n \"extractBodyCriteria\": {\n \"textSizeThreshold\": \"2048\",\n \"binarySizeThreshold\": \"10240\"\n },\n \"persist\": false,\n \"repeatsAsScenarios\": false,\n \"transformers\": [\n \"modify-response-header\"\n ],\n \"transformerParameters\": {\n \"headerValue\": \"123\"\n }\n}"
response = http.request(request)
puts response.read_bodyRecordings
Start recording
Begin recording stub mappings
POST
/
v1
/
mock-apis
/
{mockApiId}
/
recordings
/
start
Start recording
curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetBaseUrl": "http://example.mocklab.io",
"filters": {
"urlPathPattern": "/api/.*",
"method": "GET"
},
"captureHeaders": {
"Accept": {},
"Content-Type": {
"caseInsensitive": true
}
},
"requestBodyPattern": {
"matcher": "equalToJson",
"ignoreArrayOrder": false,
"ignoreExtraElements": true
},
"extractBodyCriteria": {
"textSizeThreshold": "2048",
"binarySizeThreshold": "10240"
},
"persist": false,
"repeatsAsScenarios": false,
"transformers": [
"modify-response-header"
],
"transformerParameters": {
"headerValue": "123"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start"
payload = {
"targetBaseUrl": "http://example.mocklab.io",
"filters": {
"urlPathPattern": "/api/.*",
"method": "GET"
},
"captureHeaders": {
"Accept": {},
"Content-Type": { "caseInsensitive": True }
},
"requestBodyPattern": {
"matcher": "equalToJson",
"ignoreArrayOrder": False,
"ignoreExtraElements": True
},
"extractBodyCriteria": {
"textSizeThreshold": "2048",
"binarySizeThreshold": "10240"
},
"persist": False,
"repeatsAsScenarios": False,
"transformers": ["modify-response-header"],
"transformerParameters": { "headerValue": "123" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetBaseUrl: 'http://example.mocklab.io',
filters: {urlPathPattern: '/api/.*', method: 'GET'},
captureHeaders: {Accept: {}, 'Content-Type': {caseInsensitive: true}},
requestBodyPattern: {matcher: 'equalToJson', ignoreArrayOrder: false, ignoreExtraElements: true},
extractBodyCriteria: {textSizeThreshold: '2048', binarySizeThreshold: '10240'},
persist: false,
repeatsAsScenarios: false,
transformers: ['modify-response-header'],
transformerParameters: {headerValue: '123'}
})
};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetBaseUrl' => 'http://example.mocklab.io',
'filters' => [
'urlPathPattern' => '/api/.*',
'method' => 'GET'
],
'captureHeaders' => [
'Accept' => [
],
'Content-Type' => [
'caseInsensitive' => true
]
],
'requestBodyPattern' => [
'matcher' => 'equalToJson',
'ignoreArrayOrder' => false,
'ignoreExtraElements' => true
],
'extractBodyCriteria' => [
'textSizeThreshold' => '2048',
'binarySizeThreshold' => '10240'
],
'persist' => false,
'repeatsAsScenarios' => false,
'transformers' => [
'modify-response-header'
],
'transformerParameters' => [
'headerValue' => '123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start"
payload := strings.NewReader("{\n \"targetBaseUrl\": \"http://example.mocklab.io\",\n \"filters\": {\n \"urlPathPattern\": \"/api/.*\",\n \"method\": \"GET\"\n },\n \"captureHeaders\": {\n \"Accept\": {},\n \"Content-Type\": {\n \"caseInsensitive\": true\n }\n },\n \"requestBodyPattern\": {\n \"matcher\": \"equalToJson\",\n \"ignoreArrayOrder\": false,\n \"ignoreExtraElements\": true\n },\n \"extractBodyCriteria\": {\n \"textSizeThreshold\": \"2048\",\n \"binarySizeThreshold\": \"10240\"\n },\n \"persist\": false,\n \"repeatsAsScenarios\": false,\n \"transformers\": [\n \"modify-response-header\"\n ],\n \"transformerParameters\": {\n \"headerValue\": \"123\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetBaseUrl\": \"http://example.mocklab.io\",\n \"filters\": {\n \"urlPathPattern\": \"/api/.*\",\n \"method\": \"GET\"\n },\n \"captureHeaders\": {\n \"Accept\": {},\n \"Content-Type\": {\n \"caseInsensitive\": true\n }\n },\n \"requestBodyPattern\": {\n \"matcher\": \"equalToJson\",\n \"ignoreArrayOrder\": false,\n \"ignoreExtraElements\": true\n },\n \"extractBodyCriteria\": {\n \"textSizeThreshold\": \"2048\",\n \"binarySizeThreshold\": \"10240\"\n },\n \"persist\": false,\n \"repeatsAsScenarios\": false,\n \"transformers\": [\n \"modify-response-header\"\n ],\n \"transformerParameters\": {\n \"headerValue\": \"123\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetBaseUrl\": \"http://example.mocklab.io\",\n \"filters\": {\n \"urlPathPattern\": \"/api/.*\",\n \"method\": \"GET\"\n },\n \"captureHeaders\": {\n \"Accept\": {},\n \"Content-Type\": {\n \"caseInsensitive\": true\n }\n },\n \"requestBodyPattern\": {\n \"matcher\": \"equalToJson\",\n \"ignoreArrayOrder\": false,\n \"ignoreExtraElements\": true\n },\n \"extractBodyCriteria\": {\n \"textSizeThreshold\": \"2048\",\n \"binarySizeThreshold\": \"10240\"\n },\n \"persist\": false,\n \"repeatsAsScenarios\": false,\n \"transformers\": [\n \"modify-response-header\"\n ],\n \"transformerParameters\": {\n \"headerValue\": \"123\"\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Your API key prefixed by 'Token '
Path Parameters
Body
application/json
Response
200
Successfully started recording